package paysafecard;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import static java.lang.System.out;
import java.util.Properties;
import java.util.logging.Level;
import java.util.logging.Logger;

public class Main {

    public static String USER = "";
    public static String PASSWORD = "";
    public static boolean PRODUCTIVE;
    public static String UTC_OFFSET = "";

    public static void main(String[] args) throws Exception {
        Properties prop = new Properties();
        InputStream input = null;

        try {

            input = new FileInputStream("config.properties");
            prop.load(input);
            USER = prop.getProperty("user");
            PASSWORD = prop.getProperty("password");
            PRODUCTIVE = new Boolean(prop.getProperty("productive"));
            UTC_OFFSET = prop.getProperty("UTC_OFFSET");

        } catch (IOException ex) {
            ex.printStackTrace();
        } finally {
            if (input != null) {
                try {
                    input.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }

        MainWindow jf = new MainWindow();

        jf.setVisible(
                true);
        jf.setDefaultCloseOperation(MainWindow.EXIT_ON_CLOSE);

    }
}
